Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 0cba512df7ba2e6aecd9f5db75ad5a846f62c920)
+++ chapter01/changelog.xml	(revision 9a605b8e26cd7473d35bb2a86aac79178f0ece08)
@@ -47,4 +47,30 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to linux-4.9.5.tar.xz. Fixes
+          <ulink url="&lfs-ticket-root;4030">#4030</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to kbd-2.0.4. Fixes
+          <ulink url="&lfs-ticket-root;4029">#4029</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to perl-5.24.1. Fixes
+          <ulink url="&lfs-ticket-root;4031">#4031</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to zlib-1.2.11. Fixes
+          <ulink url="&lfs-ticket-root;4032">#4032</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to util-linux-2.29.1. Fixes
+          <ulink url="&lfs-ticket-root;4034">#4034</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2017-01-08</para>
+      <itemizedlist>
+        <listitem>
           <para>[bdubbs] - Update to linux-4.9.1.tar.xz. Fixes
           <ulink url="&lfs-ticket-root;4028">#4028</ulink>.</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 0cba512df7ba2e6aecd9f5db75ad5a846f62c920)
+++ chapter01/whatsnew.xml	(revision 9a605b8e26cd7473d35bb2a86aac79178f0ece08)
@@ -132,7 +132,7 @@
       <para>IPRoute2 &iproute2-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Kbd &kbd-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Kmod &kmod-version;</para>
@@ -180,7 +180,7 @@
       <para>Patch &patch-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Perl &perl-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Pkg-config &pkgconfig-version;</para>
@@ -234,7 +234,7 @@
       <para>XZ-Utils &xz-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Zlib &zlib-version;</para>
-    </listitem>-->
+    </listitem>
   </itemizedlist>
 
Index: chapter06/perl.xml
===================================================================
--- chapter06/perl.xml	(revision 0cba512df7ba2e6aecd9f5db75ad5a846f62c920)
+++ chapter06/perl.xml	(revision 9a605b8e26cd7473d35bb2a86aac79178f0ece08)
@@ -119,4 +119,7 @@
 
 <screen><userinput remap="test">make -k test</userinput></screen>
+
+    <note><para>Several tests related to zlib will fail due to using
+    the system version of zlib instead of the internal version.</para></note>
 
     <para>Install the package and clean up:</para>
Index: chapter06/procps.xml
===================================================================
--- chapter06/procps.xml	(revision 0cba512df7ba2e6aecd9f5db75ad5a846f62c920)
+++ chapter06/procps.xml	(revision 9a605b8e26cd7473d35bb2a86aac79178f0ece08)
@@ -81,4 +81,7 @@
 make check</userinput></screen>
 
+    <para>One ps test may fail, but passes if the tests are rerun at 
+    the end of Chapter 6.</para>
+
     <para>Install the package:</para>
 
Index: general.ent
===================================================================
--- general.ent	(revision 0cba512df7ba2e6aecd9f5db75ad5a846f62c920)
+++ general.ent	(revision 9a605b8e26cd7473d35bb2a86aac79178f0ece08)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20170108">
+<!ENTITY version         "SVN-20170122">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20170108-systemd">
+<!ENTITY versiond        "20170122-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "January 8, 2017">
+<!ENTITY releasedate     "January 22, 2016">
 <!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "8.0">
Index: packages.ent
===================================================================
--- packages.ent	(revision 0cba512df7ba2e6aecd9f5db75ad5a846f62c920)
+++ packages.ent	(revision 9a605b8e26cd7473d35bb2a86aac79178f0ece08)
@@ -333,8 +333,8 @@
 <!ENTITY iproute2-ch6-sbu "0.2 SBU">
 
-<!ENTITY kbd-version "2.0.3">
-<!ENTITY kbd-size "1,013 KB">
+<!ENTITY kbd-version "2.0.4">
+<!ENTITY kbd-size "1,008 KB">
 <!ENTITY kbd-url "https://www.kernel.org/pub/linux/utils/kbd/kbd-&kbd-version;.tar.xz">
-<!ENTITY kbd-md5 "231b46e7142eb41ea3ae06d2ded3c208">
+<!ENTITY kbd-md5 "c1635a5a83b63aca7f97a3eab39ebaa6">
 <!ENTITY kbd-home "http://ftp.altlinux.org/pub/people/legion/kbd">
 <!ENTITY kbd-ch6-du "29 MB">
@@ -391,10 +391,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "9">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "5">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "91,00i7 KB">
+<!ENTITY linux-size "91,009 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "23d05a4f3ea7bbb093c423a36f3a9fc8">
+<!ENTITY linux-md5 "88c89fc9fca0fdb3b5fbf3f8f232c626">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -481,8 +481,8 @@
 <!ENTITY patch-ch6-sbu "0.2 SBU">
 
-<!ENTITY perl-version "5.24.0">
-<!ENTITY perl-size "13,825 KB">
+<!ENTITY perl-version "5.24.1">
+<!ENTITY perl-size "13,759 KB">
 <!ENTITY perl-url "http://www.cpan.org/src/5.0/perl-&perl-version;.tar.bz2">
-<!ENTITY perl-md5 "99f39abe614b50719d9915431e54fc1e">
+<!ENTITY perl-md5 "178ee0e8fa544dbc76d99cf041e2c9f0">
 <!ENTITY perl-home "http://www.perl.org/">
 <!ENTITY perl-ch5-du "248 MB">
@@ -606,8 +606,8 @@
 <!ENTITY udev-lfs-home    " ">
 
-<!ENTITY util-linux-version "2.29">
-<!ENTITY util-linux-size "4,150 KB">
+<!ENTITY util-linux-version "2.29.1">
+<!ENTITY util-linux-size "4,179 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v2.29/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "07b6845f48a421ad5844aa9d58edb837">
+<!ENTITY util-linux-md5 "0cbb6d16ab9c5736e5649ef1264bee6e">
 <!ENTITY util-linux-home "http://freecode.com/projects/util-linux">
 <!ENTITY util-linux-ch5-du "114 MB">
@@ -643,8 +643,8 @@
 <!ENTITY xz-ch6-sbu "0.2 SBU">
 
-<!ENTITY zlib-version "1.2.10">
-<!ENTITY zlib-size "458 KB">
+<!ENTITY zlib-version "1.2.11">
+<!ENTITY zlib-size "457 KB">
 <!ENTITY zlib-url "http://zlib.net/zlib-&zlib-version;.tar.xz">
-<!ENTITY zlib-md5 "40f9e5b387a917c60fc0981619dcdfba">
+<!ENTITY zlib-md5 "85adef240c5f370b308da8c938951a68">
 <!ENTITY zlib-home "http://www.zlib.net/">
 <!ENTITY zlib-ch6-du "5.2 MB">
